//  +build fasthttp

package jwtmdl

import (
	jwt "github.com/dgrijalva/jwt-go"
	"github.com/valyala/fasthttp"
)

// DecodeTokenWithJWTKey decode token
func DecodeTokenWithJWTKey(req *fasthttp.Request, jwtKey string) (jwt.MapClaims, error) {

	tokenFromRequest, err := extract(string(req.Header.Peek("Authorization")))
	if err != nil {
		return nil, err
	}

	return decode(jwt.Parse(tokenFromRequest, keyFunc(jwtKey)))
}

// DecodeToken decode token
func DecodeToken(req *fasthttp.Request) (jwt.MapClaims, error) {
	return DecodeTokenWithJWTKey(req, GlobalJWTKey)
}
