//  +build !fasthttp

package jwtmdl

import (
	"net/http"

	"github.com/dgrijalva/jwt-go/request"

	jwt "github.com/dgrijalva/jwt-go"
)

// DecodeTokenWithJWTKey decode token
func DecodeTokenWithJWTKey(req *http.Request, jwtKey string) (jwt.MapClaims, error) {
	return decode(request.ParseFromRequest(req, request.OAuth2Extractor, keyFunc(jwtKey)))
}

// DecodeToken decode token
func DecodeToken(req *http.Request) (jwt.MapClaims, error) {
	return DecodeTokenWithJWTKey(req, GlobalJWTKey)
}
